petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscObjectsGetObject

Get a pointer to a named object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectsGetObject(const char *name,PetscObject *obj,char **classname)

Not collective

### Input Parameter

name -the name of an object

### Output Parameter

obj -the object or null if there is no object

### Level

advanced

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages